<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Name: VZVZ Opleveren Contactmomenten
Description: Opleveren Contactmomenten Verdere informatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-2.16.840.1.113883.2.4.3.111.3.3.10.10-2014-01-13T000000">
    <title>VZVZ Opleveren Contactmomenten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]
Item: (opleverenContactmomenten)
-->
    <rule context="//hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]" id="d130e2547-false-d109053e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="count(hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]) &gt;= 1">(opleverenContactmomenten): element hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject] is required [min 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]
Item: (opleverenContactmomenten)
-->
    <rule context="//hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]" id="d130e2548-false-d109066e0">
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="string(@moodCode) = ('EVN')">(opleverenContactmomenten): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="count(hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]) &lt;= 1">(opleverenContactmomenten): element hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="count(hl7:effectiveTime) &lt;= 1">(opleverenContactmomenten): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="count(hl7:subject) &gt;= 1">(opleverenContactmomenten): element hl7:subject is required [min 1x].</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opleverenContactmomenten)
-->
    <rule context="//hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]" id="d130e2550-false-d109099e0">
        <extends rule="CV"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opleverenContactmomenten): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
    </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:effectiveTime
Item: (opleverenContactmomenten)
-->
    <rule context="//hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:effectiveTime" id="d130e2554-false-d109115e0">
        <extends rule="TS"/>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenContactmomenten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
        <assert role="error" see="http://decor.nictiz.nl/art-decor/decor-templates--kz-vzvz-?id=2.16.840.1.113883.2.4.3.111.3.3.10.10" test="not(*)">(opleverenContactmomenten): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
    </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.10
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject
Item: (opleverenContactmomenten)
-->

<!--
Template derived rules for ID: kz-vzvz-d130e2560
Context: //hl7:PRPA_IN900350NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[@moodCode = 'EVN'][hl7:subject]/hl7:subject
Item: (opleverenContactmomenten)
-->
</pattern>